PHP QrCode Liblary 2.0

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Groups Pages
Static Public Member Functions | List of all members
QRimage Class Reference
Standard API Output

Image rendering helper. More...

## Static Public Member Functions
static | png ($frame, $filename=false, $pixelPerPoint=4, $outerFrame=4, $saveandprint=FALSE)
| Creates PNG image. More...
static | jpg ($frame, $filename=false, $pixelPerPoint=8, $outerFrame=4, $q=85)
| Creates JPEG image. More...
static | image ($frame, $pixelPerPoint=4, $outerFrame=4)
| Creates generic GD2 image object. More...

## Detailed Description

Image rendering helper.

Uses GD2 image to render QR Code into image file

## Member Function Documentation

static QRimage::image | ( |  | $frame,
|  |  | $pixelPerPoint = `4`,
|  |  | $outerFrame = `4`
| ) |  |
| static

Creates generic GD2 image object.

Parameters

  Array | $frame | frame containing code
  Integer | $pixelPerPoint | (optional) pixel size, multiplier for each 'virtual' pixel
  Integer | $outerFrame | (optional) code margin (silent zone) in 'virtual' pixels

Returns
  Resource GD2 image resource (remember to ImageDestroy it!)

static QRimage::jpg | ( |  | $frame,
|  |  | $filename = `false`,
|  |  | $pixelPerPoint = `8`,
|  |  | $outerFrame = `4`,
|  |  | $q = `85`
| ) |  |
| static

Creates JPEG image.

Parameters

  Array | $frame | frame containing code
  String | $filename | (optional) output file name, if false outputs to browser with required headers
  Integer | $pixelPerPoint | (optional) pixel size, multiplier for each 'virtual' pixel
  Integer | $outerFrame | (optional) code margin (silent zone) in 'virtual' pixels
  Integer | $q | (optional) JPEG compression level (0 .. 100)

static QRimage::png | ( |  | $frame,
|  |  | $filename = `false`,
|  |  | $pixelPerPoint = `4`,
|  |  | $outerFrame = `4`,
|  |  | $saveandprint = `FALSE`
| ) |  |
| static

Creates PNG image.

Parameters

  Array | $frame | frame containing code
  String | $filename | (optional) output file name, if false outputs to browser with required headers
  Integer | $pixelPerPoint | (optional) pixel size, multiplier for each 'virtual' pixel
  Integer | $outerFrame | (optional) code margin (silent zone) in 'virtual' pixels
  Boolean | $saveandprint | (optional) if true code is outputed to browser and saved to file, otherwise only saved to file. It is effective only if $outfile is specified.

The documentation for this class was generated from the following file:

- lib/full/qrimage.php